Class ProcPatt

Declaration :

- C++ : class ProcPatt : public Struct

special type of structural Asset representing information how to build some part of the render engine's processing nodes network.

Artifact : procpatt

Relation instructions (<directional aggregation by value>)

Declaration :

- Uml : # instructions : BuildInstruct, multiplicity : 1..*
- C++ : protected: const vector<BuildInstruct> instructions

All public operations : enable , getDependant , getParents , isActive